# Method: projects.keys.list

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.request_body)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.ListKeysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/list#body.aspect_1)

Returns the list of all keys that belong to a project.

### HTTP request

`GET https://recaptchaenterprise.googleapis.com/v1/{parent=projects/*}/keys`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project that contains the keys that is listed, in the format `projects/{project}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of keys to return. Default is 10. Max limit is 1000. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous. ListKeysRequest, if any. |

### Request body

The request body must be empty.

### Response body

Response to request to list keys in a project.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "keys": [ { object (`https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys#Key`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `keys[]` | ``object (`https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys#Key`)`` Key details. |
| `nextPageToken` | `string` Token to retrieve the next page of results. It is set to empty if no keys remain in results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `recaptchaenterprise.keys.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).